
#    MIDAS Access Client  for  Spectrum Server

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global SpectrumServerHost SpectrumServerPort
global SOAPServerHost SOAPServerPort

if {[info exists SpectrumServerHost] == 0} then {
 if {[info exists SOAPServerHost] != 0} then {
   set SpectrumServerHost $SOAPServerHost
 } else {
   set SpectrumServerHost localhost
 }
}

if {[info exists SpectrumServerPort] == 0} then {
 if {[info exists SOAPServerPort] != 0} then {
   set SpectrumServerPort $SOAPServerPort
 } else {
   set SpectrumServerPort 8015
 }
}

variable uri "urn:SpectrumServer"
variable proxy "http://$SpectrumServerHost:$SpectrumServerPort/SpectrumServer"

SOAP::create SpectrumClient__ServerVerbose -proxy $proxy -uri $uri -timeout 5000 \
     -name SpectrumServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__ServerDebug -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecDebug \
     -params {Flag int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__ServerLogging -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecLogging \
     -params {Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__CreateSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecNew \
     -params {Spectrum string Base int Range int Base2 int Range2 int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__Create1DSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecNew1D \
     -params {Spectrum string Base int Range int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__Create2DSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecNew2D \
     -params {Spectrum string Base1 int Range1 int Base2 int Range2 int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__DeleteSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecDelete \
     -params {Spectrum string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__ZeroSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecZero \
     -params {Spectrum string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__InquireSpectra -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecNames \
     -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__Read1DSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecRead1D \
     -params {Spectrum string Base int Range int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__Read2DSpectrum -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecRead2D \
     -params {Spectrum string Base1 int Range1 int Base2 int Range2 int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumDetails -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecDetails \
     -params {Spectrum string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumTitle -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecTitle \
     -params {Spectrum string Title string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumLabel -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecLabel \
     -params {Spectrum string Label string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumInfo -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecInfo \
     -params {Spectrum string Number int Info string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumCalib -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecCalib \
     -params {Spectrum string Dim int Calib string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumCompressions -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecCompressions \
     -params {Compress1 int Compress2 int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SpectrumClient__SpectrumError -proxy $proxy -uri $uri -timeout 5000 \
     -name SpecError \
     -params {errnum int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

package provide SpectrumClient 1.0
