
#----------------------------------------------------------------------AC
set AC(frame-name) AC
set AC(frame-title) "Auto-calibration Options"
set AC(icon-title) optAC


set AC(low-chan)     1
set AC(high-chan) 16384

set AC(Eu-accept)      20

set AC(Eu-minpeaks)     7
set AC(Eu-maxpeaks)    11

set AC(Co-minpeaks)     2
set AC(Co-maxpeaks)     2


proc AC.make-frame {} { 
   global env AC

   catch {AC.unpack}

   :frame $AC(frame-name) :label "$AC(frame-title)" :show-footer F :toplevel T \
        :icon-image "@$env(ICONHOME)/spectrum"  \
           :icon-name $AC(icon-title) :resize F

   :panel AC-OPTIONS :layout T :padx 5 :pady 5
    :layout V; :row-gap 5
    


   :slider AC-LOW   :label "Low Channel:"  :w 8 :valuex 18c :min 0 :max 65536 \
        :value $AC(low-chan) :command "AC.opt low-chan"
   :slider AC-HIGH  :label "High Channel:" :w 8 :valuex 18c :min 0 :max 65536 \
        :value $AC(high-chan) :command "AC.opt high-chan"
        
   :message AC-M2  :label "Eu152 auto-calibration options"  :bold T
            
   :text AC-EUMAX  :label "maximum peaks:" :w 8 :valuex 18c  \
        :value $AC(Eu-maxpeaks) :command "AC.opt Eu-maxpeaks"
   :text AC-EUMIN  :label "minimum peaks:" :w 8 :valuex 18c  \
        :value $AC(Eu-minpeaks) :command "AC.opt Eu-minpeaks"
        
   :text AC-EUACCEPT :label "Acceptance:" :w 8 :valuex 18c  \
        :value $AC(Eu-accept) :command "AC.opt Eu-accept"
        
        
    :message AC-M1  :label "Co60 auto-calibration options" :bold T
    
    

   

   :panel AC-BUTTONS :layout B :padx 5
    :layout H
   :button AC-SAVE  :label "Save as defaults" :command AC.save
    :hskip 75
   :button AC-HELP  :label Help :command click-help

   :show T
}

proc AC.opt {opt args} {
   global AC
   set AC($opt) [second $args]
   AC.announce
}

proc AC.unpack {} {
   global AC
   foreach p [get-eg-option autocalibrate] {
      switch [first $p] {
      low-chan  {set AC(low-chan)  [second $p]}
      high-chan {set AC(high-chan) [second $p]}
      Eu-accept    {set AC(Eu-accept)    [second $p]}
      Eu-minpeaks  {set AC(Eu-minpeaks)    [second $p]}
      Eu-maxpeaks  {set AC(Eu-maxpeaks)    [second $p]}
      }
   }
}

proc AC.announce {} {
   global AC
   set-eg-option autocalibrate [list \
        [list low-chan  [get AC low-chan]] \
        [list high-chan [get AC high-chan]] \
        [list Eu-accept    [get AC Eu-accept]] \
        [list Eu-minpeaks  [get AC Eu-minpeaks]] \
        [list Eu-maxpeaks  [get AC Eu-maxpeaks]] \
   ]
}

proc AC.save {} {edit-defaults autocalibrate "set-eg-option autocalibrate \{[get-eg-option autocalibrate]\}"}

