
#----------------------------------------------------------------------PF
set PF(frame-name) PF
set PF(frame-title) "Peakfinding Options"
set PF(icon-title) optPF

set PF(fwhm) 5
set PF(accept) 5
set PF(low-chan) 0
set PF(high-chan) 16385


proc PF.make-frame {} { 
   global env PF

   catch {PF.unpack}

   :frame $PF(frame-name) :label "$PF(frame-title)" :show-footer F :toplevel T \
        :icon-image "@$env(ICONHOME)/spectrum"  \
           :icon-name $PF(icon-title) :resize F

   :panel PF-OPTIONS :layout T :padx 5 :pady 5
    :layout V; :row-gap 5

   :slider PF-LOW   :label "Low Channel:"  :w 8 :valuex 18c :min 0 :max 65535 \
        :value $PF(low-chan) :command "PF.opt low-chan"
   :slider PF-HIGH  :label "High Channel:" :w 8 :valuex 18c :min 0 :max 65535 \
        :value $PF(high-chan) :command "PF.opt high-chan"
   :slider PF-FWHM  :label "FWMH (channels):" :w 8 :valuex 18c :min 0 :max 100 \
        :value $PF(fwhm) :command "PF.opt fwhm"
   :slider PF-ACCEPT :label "Acceptance (%):" :w 8 :valuex 18c :min 0 :max 100 \
        :value $PF(accept) :command "PF.opt accept"

   :panel PF-BUTTONS :layout B :padx 5
    :layout H
   :button PF-SAVE  :label "Save as defaults" :command PF.save
    :hskip 75
   :button PF-HELP  :label Help :command click-help

   :show T
}

proc PF.opt {opt args} {
   global PF
   set PF($opt) [second $args]
   PF.announce
}

proc PF.unpack {} {
   global PF
   foreach p [get-eg-option peakfind] {
      switch [first $p] {
      low-chan {set PF(low-chan) [second $p]}
      high-chan {set PF(high-chan) [second $p]}
      fwhm {set PF(fwhm) [second $p]}
      accept {set PF(accept) [second $p]}
      }
   }
}

proc PF.announce {} {
   global PF
   set-eg-option peakfind [list \
        [list low-chan [get PF low-chan]] \
        [list high-chan [get PF high-chan]] \
        [list fwhm [get PF fwhm]] \
        [list accept [get PF accept]]]
}

proc PF.save {} {edit-defaults peakfind "set-eg-option peakfind \{[get-eg-option peakfind]\}"}

