
#   package-load.tcl   -  core

  global env

   switch $env(platform) {
     windows  {
        set env(libDir) "bin_Win"
        set env(binDir) "bin_Win"
     }
     unix   {
        switch $env(os) {
           SunOS    {
              switch -glob $env(machine) {
                 *4u -
                 *4c -
                 *4m {
                    set env(libDir) "lib_SunOS"
                    set env(binDir) "bin_SunOS"
                 }
                 i86pc {
                    set env(libDir) "lib_SunOSx86"
                    set env(binDir) "bin_SunOSx86"
                  }
                 default {puts stderr "$env(machine) not supported"}
              }
           }
           Linux  {
              switch  $env(machine) {
                 x64_64 -
                 x686 -
                 x386 {
                    set env(libDir) "lib_Linux"
                    set env(binDir) "bin_Linux"
                 }
                 ppc {
                    if {![info exists env(processor)]} {set env(processor) ppc_4xx}
                    set env(libDir) "lib_Linux-$env(processor)"
                    set env(binDir) "bin_Linux-$env(processor)"
                 }
                 default {puts stderr "$env(machine) not supported"}
              }
           }
           Linux64  {
              switch -glob $env(machine) {
                 x64_64 {
                    set env(libDir) "lib_Linux64"
                    set env(binDir) "bin_Linux64"
                 }
                 default {puts stderr "$env(machine) not supported"}
              }
           }
           default  {puts stderr "$env(os) not supported"}
        }
     }
     default {puts stderr "$env(platform) not supported"}
   }

if {![info exists env(MIDASPACKAGEWARNINGS)]} {set env(MIDASPACKAGEWARNINGS) 0}

proc init-packages {} {
    global env
    
    set version [info tclversion]
    
#    Common  TclTK packages
    if {[file isdir [file join $env(MIDASBASE) TclTkpackages]]} then {

         source [file join $env(MIDASBASE) TclTkpackages package-load.tcl]
         init-packages_[set version]
     }

#    SOAP client commands
    if {[file isdir [file join $env(MIDASBASE) SOAP tcl]]} then {

         source [file join $env(MIDASBASE) SOAP tcl package-load.tcl]
         init-packages_[set version]
     }

#    Try for an additional package-load.tcl file 

    if {[file isdir [file join $env(MIDASBASE) packages]]} then {

         source [file join $env(MIDASBASE) packages package-load.tcl]
         init-packages_[set version]
    }

#    finally MIDAS specific packages

    if {[file isdir [file join $env(MIDASBASE) MIDASpackages]]} then {

         source [file join $env(MIDASBASE) MIDASpackages package-load.tcl]
         init-packages_[set version]
    }

}


